/// <reference types="lodash" />
import React from 'react';
import { ClassNamesFn } from '../theme';
interface MapPickerProps {
    ak: string;
    classnames: ClassNamesFn;
    classPrefix: string;
    value?: {
        address: string;
        lat: number;
        lng: number;
        city?: string;
    };
    onChange: (value: any) => void;
}
interface LocationItem {
    title?: string;
    address: string;
    lat: number;
    lng: number;
    city?: string;
}
interface MapPickerState {
    inputValue: string;
    locIndex?: number;
    locs: Array<LocationItem>;
    sugs: Array<string>;
}
export declare class BaiduMapPicker extends React.Component<MapPickerProps, MapPickerState> {
    state: MapPickerState;
    id: string;
    mapRef: React.RefObject<HTMLDivElement>;
    placeholderInput: HTMLInputElement;
    map: any;
    ac: any;
    search: (() => void) & import("lodash").Cancelable;
    componentDidMount(): void;
    componentWillUnmount(): void;
    initMap(): Promise<void>;
    getLocations(point: any, select?: boolean): void;
    handleChange(e: React.ChangeEvent<HTMLInputElement>): void;
    handleSelect(e: React.MouseEvent<HTMLElement>): void;
    handleSugSelect(e: React.MouseEvent<HTMLDivElement>): void;
    render(): JSX.Element;
}
declare const _default: React.ComponentClass<Pick<MapPickerProps, "value" | "onChange" | "ak"> & {
    theme?: string | undefined;
    classPrefix?: string | undefined;
    classnames?: ClassNamesFn | undefined;
}, any> & {
    ComposedComponent: typeof BaiduMapPicker;
};
export default _default;
